Skip to main content
PUT
/
v1
/
engagements
/
{engagementId}
Update Engagement
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": "<string>",
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "billingCode": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": [
    "<string>"
  ]
}
'
{
  "version": 123,
  "organizationId": "<string>",
  "name": "<string>",
  "libraryId": "<string>",
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "billingCode": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123,
    "frequency": "ANNUAL"
  },
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

engagementId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the engagement.

Maximum string length: 80
auditPeriodEndDate
string<date>
required

The last day of the occurring audit.

accountingPackage
string
required

The ERP or financial management system that your client is using.

industry
string
required

The type of industry that your client operates within.

engagementLeadId
string
required

Identifies the user who will lead the engagement.

billingCode
string

A unique code that associates engagements and analyses with clients to ensure those clients are billed appropriately for MindBridge usage.

accountingPeriod
Accounting Period · object

Details about the accounting period.

reportingPeriodConfigurationId
string

Identifies the associated reporting period configuration. If null the analyses use a standard reporting period.

auditorIds
string[]

Identifies the users who will act as auditors in the engagement.

Response

200 - application/json

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

organizationId
string
required

Identifies the organization.

name
string
required

The name of the engagement.

Maximum string length: 80
libraryId
string
required

Identifies the library.

auditPeriodEndDate
string<date>
required

The last day of the occurring audit.

accountingPackage
string
required

The ERP or financial management system that your client is using.

industry
string
required

The type of industry that your client operates within.

engagementLeadId
string
required

Identifies the user who will lead the engagement.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

billingCode
string

A unique code that associates engagements and analyses with clients to ensure those clients are billed appropriately for MindBridge usage.

accountingPeriod
Accounting Period · object

Details about the accounting period.

reportingPeriodConfigurationId
string

Identifies the associated reporting period configuration. If null the analyses use a standard reporting period.

auditorIds
string[]

Identifies the users who will act as auditors in the engagement.